summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-03-18 10:32:11 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-03-19 12:17:58 +0100
commitfbfbe9692cffa1665796c4a369c41556c74d15ac (patch)
treeeb1ac16eacf9b40238096e43f3f847b4c1c9cc64
parentgnome-extra/synapse: Old (diff)
downloadgentoo-fbfbe9692cffa1665796c4a369c41556c74d15ac.tar.gz
gentoo-fbfbe9692cffa1665796c4a369c41556c74d15ac.tar.bz2
gentoo-fbfbe9692cffa1665796c4a369c41556c74d15ac.zip
sys-auth/elogind: 239.4 version bump
Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
-rw-r--r--sys-auth/elogind/Manifest1
-rw-r--r--sys-auth/elogind/elogind-239.4.ebuild129
2 files changed, 130 insertions, 0 deletions
diff --git a/sys-auth/elogind/Manifest b/sys-auth/elogind/Manifest
index b1cbfea8bc4..f40da98e076 100644
--- a/sys-auth/elogind/Manifest
+++ b/sys-auth/elogind/Manifest
@@ -1,2 +1,3 @@
DIST elogind-239.3.tar.gz 1171080 BLAKE2B 95d158a861641415f2c6ea3648bafd32ee3da80b0258e33fb7b88cf834f42c4d76b634af055f81dfba7c6477423edf73ad7c0d79e5e3608938e90a713bdff00e SHA512 61399f82d6a93d77e0984dc67b9c7ebdda27ba2254810be9725a09f91fde41c66adb53a5fe7989f53d6b156b70f147471c89fa64a432bccc482e8057a0cddf84
+DIST elogind-239.4.tar.gz 1183999 BLAKE2B 3a0aa216ee565ae8f3311b16af9752a99519254ac8737de2a44821e95d05b3e2d8b82af3d397367e8804d7bc45cb942859516f195848ba0317aa73891d77903b SHA512 84e9765d7c3039478b06a683870b37ec718724f1185b56c1b74885133283ad1678f3ca8a73510cb4b0777d099c54f59e927caaae7ae988abda803150b84cf8fc
DIST elogind-241.1.tar.gz 1399094 BLAKE2B d445f4db98da88ece22c1a61e846d3be4eeb4bb76272c1cf895f50d32b6bb0bf471b9cbc5b4760730fa4cfb17db518feb9fceb951eb4e1a2b19f4decfde12b52 SHA512 1bc058da23a595e386b9472579cc9f8247375f5600a511a929a50011adab9a6a36c041c2ab71eb545098d4baf5e35b0231893bfecc1349730316a2b6bda69f11
diff --git a/sys-auth/elogind/elogind-239.4.ebuild b/sys-auth/elogind/elogind-239.4.ebuild
new file mode 100644
index 00000000000..84060e05bb0
--- /dev/null
+++ b/sys-auth/elogind/elogind-239.4.ebuild
@@ -0,0 +1,129 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit linux-info meson pam udev xdg-utils
+
+DESCRIPTION="The systemd project's logind, extracted to a standalone package"
+HOMEPAGE="https://github.com/elogind/elogind"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CC0-1.0 LGPL-2.1+ public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="+acl debug doc +pam +policykit selinux"
+
+COMMON_DEPEND="
+ sys-apps/util-linux
+ sys-libs/libcap
+ virtual/libudev:=
+ acl? ( sys-apps/acl )
+ pam? ( virtual/pam )
+ selinux? ( sys-libs/libselinux )
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.2
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets
+ dev-util/gperf
+ dev-util/intltool
+ sys-devel/libtool
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ !sys-apps/systemd
+"
+PDEPEND="
+ sys-apps/dbus
+ policykit? ( sys-auth/polkit )
+"
+
+DOCS=( src/libelogind/sd-bus/GVARIANT-SERIALIZATION )
+
+PATCHES=(
+ "${FILESDIR}/${PN}-238.1-docs.patch"
+ "${FILESDIR}/${PN}-239.3-broken-test.patch" # bug 669862
+)
+
+pkg_setup() {
+ local CONFIG_CHECK="~CGROUPS ~EPOLL ~INOTIFY_USER ~SIGNALFD ~TIMERFD"
+
+ use kernel_linux && linux-info_pkg_setup
+}
+
+src_prepare() {
+ default
+ xdg_environment_reset
+}
+
+src_configure() {
+ local rccgroupmode="$(grep rc_cgroup_mode /etc/rc.conf | cut -d '"' -f 2)"
+ local cgroupmode="legacy"
+
+ if [[ "xhybrid" = "x${rccgroupmode}" ]] ; then
+ cgroupmode="hybrid"
+ elif [[ "xunified" = "x${rccgroupmode}" ]] ; then
+ cgroupmode="unified"
+ fi
+
+ local emesonargs=(
+ -Ddocdir="${EPREFIX}/usr/share/doc/${PF}"
+ -Dhtmldir="${EPREFIX}/usr/share/doc/${PF}/html"
+ -Dpamlibdir=$(getpam_mod_dir)
+ -Dudevrulesdir="$(get_udevdir)"/rules.d
+ --libdir="${EPREFIX}"/usr/$(get_libdir)
+ -Drootlibdir="${EPREFIX}"/$(get_libdir)
+ -Drootlibexecdir="${EPREFIX}"/$(get_libdir)/elogind
+ -Drootprefix="${EPREFIX}/"
+ -Dbashcompletiondir="${EPREFIX}/usr/share/bash-completion/completions"
+ -Dman=auto
+ -Dsmack=true
+ -Dcgroup-controller=openrc
+ -Ddefault-hierarchy=${cgroupmode}
+ -Ddefault-kill-user-processes=false
+ -Dacl=$(usex acl true false)
+ --buildtype $(usex debug debug release)
+ -Dhtml=$(usex doc auto false)
+ -Dpam=$(usex pam true false)
+ -Dselinux=$(usex selinux true false)
+ )
+
+ meson_src_configure
+}
+
+src_install() {
+ DOCS+=( src/libelogind/sd-bus/GVARIANT-SERIALIZATION )
+
+ meson_src_install
+
+ newinitd "${FILESDIR}"/${PN}.init ${PN}
+
+ sed -e "s/@libdir@/$(get_libdir)/" "${FILESDIR}"/${PN}.conf.in > ${PN}.conf || die
+ newconfd ${PN}.conf ${PN}
+}
+
+pkg_postinst() {
+ if [[ "$(rc-config list boot | grep elogind)" != "" ]]; then
+ elog "elogind is currently started from boot runlevel."
+ elif [[ "$(rc-config list default | grep elogind)" != "" ]]; then
+ ewarn "elogind is currently started from default runlevel."
+ ewarn "Please remove elogind from the default runlevel and"
+ ewarn "add it to the boot runlevel by:"
+ ewarn "# rc-update del elogind default"
+ ewarn "# rc-update add elogind boot"
+ else
+ elog "elogind is currently not started from any runlevel."
+ elog "You may add it to the boot runlevel by:"
+ elog "# rc-update add elogind boot"
+ elog
+ elog "Alternatively, you can leave elogind out of any"
+ elog "runlevel. It will then be started automatically"
+ if use pam; then
+ elog "when the first service calls it via dbus, or"
+ elog "the first user logs into the system."
+ else
+ elog "when the first service calls it via dbus."
+ fi
+ fi
+}